{
  "_from": "js-sha1",
  "_id": "js-sha1@0.7.0",
  "_inBundle": false,
  "_integrity": "sha512-oQZ1Mo7440BfLSv9TX87VNEyU52pXPVG19F9PL3gTgNt0tVxlZ8F4O6yze3CLuLx28TxotxvlyepCNaaV0ZjMw==",
  "_location": "/js-sha1",
  "_phantomChildren": {},
  "_requested": {
    "type": "tag",
    "registry": true,
    "raw": "js-sha1",
    "name": "js-sha1",
    "escapedName": "js-sha1",
    "rawSpec": "",
    "saveSpec": null,
    "fetchSpec": "latest"
  },
  "_requiredBy": [
    "#USER",
    "/"
  ],
  "_resolved": "https://registry.npmmirror.com/js-sha1/-/js-sha1-0.7.0.tgz",
  "_shasum": "fecaf5f36bb09a51b01da46b43a207c8452c9c1e",
  "_spec": "js-sha1",
  "_where": "/Users/liangbowen/Library/Containers/com.tencent.xinWeChat/Data/Library/Application Support/com.tencent.xinWeChat/2.0b4.0.9/cc7ac57a2ed0819bf09fd680c213c1be/Message/MessageTemp/1ddaefb0a1acb4834cac199fa4429fc2/File/consumoption",
  "author": {
    "name": "Chen, Yi-Cyuan",
    "email": "emn178@gmail.com"
  },
  "browser": {
    "crypto": false,
    "buffer": false
  },
  "bugs": {
    "url": "https://github.com/emn178/js-sha1/issues"
  },
  "bundleDependencies": false,
  "deprecated": false,
  "description": "A simple SHA1 hash function for JavaScript supports UTF-8 encoding.",
  "devDependencies": {
    "expect.js": "~0.3.1",
    "mocha": "~10.2.0",
    "nyc": "^15.1.0",
    "requirejs": "^2.1.22",
    "tiny-worker": "^2.3.0",
    "uglify-js": "^3.1.9"
  },
  "homepage": "https://github.com/emn178/js-sha1",
  "keywords": [
    "sha",
    "sha1",
    "encryption",
    "cryptography",
    "HMAC"
  ],
  "license": "MIT",
  "main": "src/sha1.js",
  "name": "js-sha1",
  "nyc": {
    "exclude": [
      "tests"
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/emn178/js-sha1.git"
  },
  "scripts": {
    "build": "uglifyjs src/sha1.js -c -m eval --comments -o build/sha1.min.js",
    "coveralls": "nyc report --reporter=text-lcov | coveralls",
    "report": "nyc --reporter=html --reporter=text mocha tests/node-test.js",
    "test": "nyc mocha tests/node-test.js"
  },
  "version": "0.7.0"
}
